
application:setFps(60)
application:setBackgroundColor(0x508050)
stage:setOrientation(Stage.LANDSCAPE_LEFT)

cards = {}

local card = Card.new(Texture.new("images/card.png", true))
card:setCardRotation(120)
card:setCardPosition(100, 200)

cards[#cards + 1] = card -- add to list of cards on screen

local cards = cards -- add visible cards to screen
for i = 1, #cards do
  stage:addChild(cards[i])
end

-- some text to show when we click a card
local info = TextField.new(nil, "touch the screen")
info:setPosition(12, 24)
info:setScale(2)
stage:addChild(info)

-- process touch events
local function onTouched(e)
  local tx, ty = e.touch.x, e.touch.y -- where the screen was touched

  local count = 0
  local cards = cards
  for i = 1, #cards do
    if card:containsPoint(tx, ty) then -- check if a card was touched
      count += 1
    end
  end
  
  if count > 0 then
    info:setText("a card was touched")
  else
    info:setText("no cards were touched")
  end
end

local function onEnterFrame(e)
  local dt = e.deltaTime
end

card:addEventListener(Event.TOUCHES_END, onTouched) -- add listeners
stage:addEventListener(Event.ENTER_FRAME, onEnterFrame)
